Skip to main content
PATCH
Update user details

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

user_id
string
required

User ID is an alphanumerical string that identifies a user.

Body

application/json

User fields that need to be updated. All omitted fields are left unmodified.

first_name
string | null
Example:

"John"

last_name
string | null
Example:

"Smith"

display_name
string | null
Minimum string length: 1
Example:

"pete"

profile_image
string | null
Example:

"https://s3..../avatar.png"

thumbnail_image
string | null
Example:

"https://s3..../avatar.png"

color
string | null
Example:

"#023020"

signup_answers
object
timezone_id
string
Example:

"America/Los_Angeles"

autodetect_timezone_id
boolean | null
Example:

true

locale
string | null
Example:

"en"

transcription_keywords
string[] | null
job_description
string | null
Example:

"software engineer"

Response

updated user response

user
User · object